perl-Authen-Passphrase-0.008-1.1.noarch.rpm


Advertisement

Description

perl-Authen-Passphrase - Hashed Passwords/Passphrases As Objects

Property Value
Distribution openSUSE Leap 42.2
Repository openSUSE Oss all
Package name perl-Authen-Passphrase
Package version 0.008
Package release 1.1
Package architecture noarch
Package type rpm
Installed size 221.95 KB
Download size 106.29 KB
Official Mirror ftp.gwdg.de
This is the base class for a system of objects that encapsulate
passphrases. An object of this type is a passphrase recogniser: its job is
to recognise whether an offered passphrase is the right one. For security,
such passphrase recognisers usually do not themselves know the passphrase
they are looking for; they can merely recognise it when they see it. There
are many schemes in use to achieve this effect, and the intent of this
class is to provide a consistent interface to them all, hiding the details.
The CPAN package Authen-Passphrase contains implementations of several
specific passphrase schemes in addition to the base class. See the specific
classes for notes on the security properties of each scheme. In new
systems, if there is a choice of which passphrase algorithm to use, it is
recommended to use the Authen::Passphrase::SaltedDigest manpage or the
Authen::Passphrase::BlowfishCrypt manpage. Most other schemes are too weak
for new applications, and should be used only for backward compatibility.

Alternatives

Package Version Architecture Repository
perl-Authen-Passphrase - - -

Requires

Name Value
perl(:MODULE_COMPAT_5.18.2) -
perl(Authen::DecHpwd) >= 2.003
perl(Crypt::DES) -
perl(Crypt::Eksblowfish::Bcrypt) >= 0.008
perl(Crypt::Eksblowfish::Uklblowfish) >= 0.008
perl(Crypt::MySQL) >= 0.03
perl(Crypt::PasswdMD5) >= 1.0
perl(Crypt::UnixCrypt_XS) >= 0.08
perl(Data::Entropy::Algorithms) -
perl(Digest::MD4) >= 1.2
perl(Digest::SHA) -
perl(Module::Runtime) >= 0.011
perl(Params::Classify) -
perl(parent) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsLzma) <= 4.4.6-1

Provides

Name Value
perl(Authen::Passphrase) = 0.008
perl(Authen::Passphrase::AcceptAll) = 0.008
perl(Authen::Passphrase::BigCrypt) = 0.008
perl(Authen::Passphrase::BlowfishCrypt) = 0.008
perl(Authen::Passphrase::Clear) = 0.008
perl(Authen::Passphrase::Crypt16) = 0.008
perl(Authen::Passphrase::DESCrypt) = 0.008
perl(Authen::Passphrase::EggdropBlowfish) = 0.008
perl(Authen::Passphrase::LANManager) = 0.008
perl(Authen::Passphrase::LANManagerHalf) = 0.008
perl(Authen::Passphrase::MD5Crypt) = 0.008
perl(Authen::Passphrase::MySQL323) = 0.008
perl(Authen::Passphrase::MySQL41) = 0.008
perl(Authen::Passphrase::NTHash) = 0.008
perl(Authen::Passphrase::NetscapeMail) = 0.008
perl(Authen::Passphrase::PHPass) = 0.008
perl(Authen::Passphrase::RejectAll) = 0.008
perl(Authen::Passphrase::SaltedDigest) = 0.008
perl(Authen::Passphrase::VMSPurdy) = 0.008
perl-Authen-Passphrase = 0.008-1.1

Download

Type URL
Binary Package perl-Authen-Passphrase-0.008-1.1.noarch.rpm
Source Package perl-Authen-Passphrase-0.008-1.1.src.rpm

Install Howto

Install perl-Authen-Passphrase rpm package:

# zypper install perl-Authen-Passphrase

See Also

Package Description
perl-Authen-SASL-2.16-8.1.noarch.rpm SASL Authentication framework
perl-Authen-SASL-Cyrus-0.13-12.2.x86_64.rpm SASL Authentication Framework - Cyrus Plugin
perl-B-Hooks-EndOfScope-0.21-1.1.noarch.rpm Execute code after a scope finished compilation
perl-B-Hooks-OP-Annotation-0.44-4.2.x86_64.rpm annotate and delegate hooked OPs
perl-B-Hooks-OP-Check-0.19-10.2.x86_64.rpm Wrap OP check callbacks
perl-B-Hooks-OP-PPAddr-0.03-10.2.x86_64.rpm Hook into opcode execution
perl-B-Keywords-1.15-1.1.noarch.rpm Lists of reserved barewords and symbol names
perl-B-Utils-0.27-3.2.x86_64.rpm Helper functions for op tree manipulation
perl-BIND-Conf_Parser-0.97-518.1.x86_64.rpm Parser class for BIND configuration files
perl-BSD-Resource-1.2907-8.2.x86_64.rpm BSD process resource limit and priority functions
perl-Benchmark-Timer-0.7107-4.2.noarch.rpm Benchmarking with statistical confidence
perl-BerkeleyDB-0.55-4.17.x86_64.rpm Perl extension for Berkeley DB version 2, 3, 4 or 5
perl-Bit-Vector-7.3-6.19.x86_64.rpm Bit::Vector Perl module
perl-Boost-Geometry-Utils-0.15-2.2.x86_64.rpm Bindings for the Boost Geometry library
perl-Bootloader-0.915-1.2.x86_64.rpm Library for Configuring Boot Loaders
Advertisement
Advertisement